Inspect a channel
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/channels/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"type": "<unknown>",
"id": "<string>",
"name": "<string>",
"thumbnails": [
{
"url": "<string>",
"width": 1,
"height": 1
}
],
"url": "<string>",
"about": {
"links": [
{
"title": "<string>",
"displayUrl": "<string>",
"url": "<string>"
}
],
"moreInfo": {
"canonicalChannelUrl": "<string>",
"businessEmailAvailable": true,
"displayCanonicalChannelUrl": "<string>",
"joinedDate": "2023-12-25",
"joinedDateText": "<string>",
"subscriberCount": 1,
"subscriberCountText": "<string>",
"videoCount": 1,
"videoCountText": "<string>",
"viewCount": 1,
"viewCountText": "<string>"
},
"description": "<string>"
},
"meta": {
"provider": "youtube",
"source": "allthingsyoutube",
"fetchedAt": "2023-11-07T05:31:56Z",
"partial": true,
"warnings": [
"<string>"
]
},
"handle": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Channels
Inspect a channel
GET
/
v1
/
providers
/
{provider}
/
channels
/
{id}
Inspect a channel
curl --request GET \
--url https://api.video2ctx.dev/v1/providers/{provider}/channels/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.video2ctx.dev/v1/providers/{provider}/channels/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"type": "<unknown>",
"id": "<string>",
"name": "<string>",
"thumbnails": [
{
"url": "<string>",
"width": 1,
"height": 1
}
],
"url": "<string>",
"about": {
"links": [
{
"title": "<string>",
"displayUrl": "<string>",
"url": "<string>"
}
],
"moreInfo": {
"canonicalChannelUrl": "<string>",
"businessEmailAvailable": true,
"displayCanonicalChannelUrl": "<string>",
"joinedDate": "2023-12-25",
"joinedDateText": "<string>",
"subscriberCount": 1,
"subscriberCountText": "<string>",
"videoCount": 1,
"videoCountText": "<string>",
"viewCount": 1,
"viewCountText": "<string>"
},
"description": "<string>"
},
"meta": {
"provider": "youtube",
"source": "allthingsyoutube",
"fetchedAt": "2023-11-07T05:31:56Z",
"partial": true,
"warnings": [
"<string>"
]
},
"handle": "<string>"
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}{
"error": {
"code": "QUERY_REQUIRED",
"message": "<string>",
"details": "<unknown>",
"requestId": "<string>"
}
}Authorizations
bearerApiKeysessionCookieapiKeydemoUser
Permanent personal API key created in the dashboard. Example: curl -H "Authorization: Bearer aty_…" https://your-host/v1/projects
Path Parameters
External video provider.
Available options:
youtube Example:
"youtube"
Provider channel ID or handle.
Minimum string length:
1Example:
"@YouTube"
⌘I